ARES_TIMEOUT(3)

NAME
ares_timeout - return maximum time to wait

SYNOPSIS
#include <ares.h>

struct timeval *ares_timeout(const ares_channel_t *channel,
                             struct timeval *maxtv,
                             struct timeval *tv)

DESCRIPTION
The ares_timeout(3) function determines the maximum time for which the caller should wait before invoking ares_process(3) to process timeouts. The parameter maxtv specifies a existing maximum timeout, or NULL if the caller does not wish to apply a maximum timeout. The parameter tv must point to a writable buffer of type struct timeval It is valid for maxtv and tv to have the same value.

If no queries have timeouts pending sooner than the given maximum timeout, ares_timeout(3) returns the value of maxtv; otherwise ares_timeout(3) stores the appropriate timeout value into the buffer pointed to by tv and returns the value of tv.

SEE ALSO
ares_fds(3), ares_process(3), ares_process_fd(3)